> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific enrichment

> Retrieve detailed information about a specific enrichment by its ID.



## OpenAPI

````yaml GET /v1/enrichments/{enrichment_id}
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/enrichments/{enrichment_id}:
    get:
      tags:
        - Enrichment
      summary: Get a specific enrichment
      description: Retrieve detailed information about a specific enrichment by its ID.
      operationId: get_enrichment_v1_enrichments__enrichment_id__get
      parameters:
        - name: enrichment_id
          in: path
          required: true
          schema:
            type: integer
            description: The ID of the enrichment to retrieve
            title: Enrichment Id
          description: The ID of the enrichment to retrieve
        - name: x-apikey
          in: header
          required: true
          schema:
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichmentParams'
              example:
                id: 1
                name: Enrichment Example
                description: Description for Enrichment Example
                price: 0.01
                pricing:
                  type: per_parameter
                  parameter: size
                params:
                  - name: param1
                    is_required: true
                    type_field: text
                    description: Enter a value
                  - name: country
                    is_required: false
                    type_field: select
                    description: Select a country
                    choices:
                      mode: inline
                      items:
                        - id: us
                          name: United States
                        - id: gb
                          name: United Kingdom
                  - name: industry
                    is_required: false
                    type_field: select
                    description: Select an industry
                    choices:
                      mode: remote
                      endpoint: /v1/enrichments/1/params/industry/choices
                  - name: categories
                    is_required: false
                    type_field: mselect
                    description: Select categories
                    choices:
                      mode: inline
                      items:
                        - id: tech
                          name: Technology
                        - id: finance
                          name: Finance
                response_fields:
                  - name: field1
                    type_field: text
        '403':
          description: Forbidden access
        '404':
          description: Enrichment not found
        '406':
          description: Forbidden access
          content:
            application/json:
              example:
                detail: Check the number of remaining credits or the tariff plan.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnrichmentParams:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        data_source:
          type: string
          title: Data Source
        price:
          type: number
          title: Price
        pricing:
          $ref: '#/components/schemas/PricingInfo'
        auth_method:
          type: string
          title: Auth Method
        category:
          items:
            $ref: '#/components/schemas/CategoryInfo'
          type: array
          title: Category
          default: []
        params:
          items:
            $ref: '#/components/schemas/app__api__v1__enrichment__Param'
          type: array
          title: Params
        response_fields:
          items:
            $ref: '#/components/schemas/app__api__v1__exporter__ResponseField'
          type: array
          title: Response Fields
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      type: object
      required:
        - id
        - name
        - description
        - data_source
        - price
        - pricing
        - auth_method
        - params
        - response_fields
        - pagination
      title: EnrichmentParams
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PricingInfo:
      properties:
        type:
          type: string
          title: Type
          description: >-
            Pricing type: "fixed" (flat per-request) or "per_parameter" (price ×
            param value)
        parameter:
          anyOf:
            - type: string
            - type: 'null'
          title: Parameter
          description: >-
            Parameter name that multiplies the base price. Present only when
            type is per_parameter.
      type: object
      required:
        - type
      title: PricingInfo
    CategoryInfo:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: CategoryInfo
    app__api__v1__enrichment__Param:
      properties:
        name:
          type: string
          title: Name
        is_required:
          type: boolean
          title: Is Required
        type_field:
          type: string
          title: Type Field
        description:
          type: string
          title: Description
        choices:
          anyOf:
            - $ref: '#/components/schemas/app__api__v1__enrichment__Choices'
            - type: 'null'
      type: object
      required:
        - name
        - is_required
        - type_field
        - description
      title: Param
    app__api__v1__exporter__ResponseField:
      properties:
        name:
          type: string
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        type_field:
          type: string
          title: Type Field
      type: object
      required:
        - name
        - type_field
      title: ResponseField
    PaginationInfo:
      properties:
        supported:
          type: boolean
          title: Supported
        per_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Per Page
      type: object
      required:
        - supported
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    app__api__v1__enrichment__Choices:
      properties:
        mode:
          type: string
          title: Mode
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/app__api__v1__enrichment__ChoiceItem'
              type: array
            - type: 'null'
          title: Items
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
      type: object
      required:
        - mode
      title: Choices
    app__api__v1__enrichment__ChoiceItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ChoiceItem

````